yeastData-class {ScISI} | R Documentation

## Class "yeastData"

### Description

A class representing an interactome of yeast. The object is in the form of a dataframe with three generic methods. The methods take two arguments: the first is the instance of the class yeastData; the second is the name of a protein complex with respect as given by the bi-partite graph incidence matrix.

### Objects from the Class

Objects can be created by calls of the form `new("yeastData", reference = dataFrameISI)`.

### Slots

yeastData:
  The yeastData slot is merely a data frame for some in silico interactome.

### Methods

ID
  `signature(object = "yeastData", name = "character")`: ...
Desc
  `signature(object = "yeastData", name = "character")`: ...
getURL
  `signature(object = "yeastData", name = "character")`: ...

### Author(s)

Tony Chiang

### Examples

    #go = getGOInfo(wantAllComplexes = FALSE)
    #goM = createGOMatrix(go)
    #cNames = colnames(goM)
    #goDF = createGODataFrame(go, goM)
    #goOb = createYeastObj(goDF)
    #ID(goOb, cNames[5])
    #Desc(goOb, cNames[5])
    #getUrl(goOb, cNames[5])

[Package ScISI version 1.16.0 Index]